Bug 1419165 - capsule health check mentions "pulp node", which went away in 6.2
Summary: capsule health check mentions "pulp node", which went away in 6.2
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Capsule
Version: 6.2.7
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: Unspecified
Assignee: satellite6-bugs
QA Contact: Katello QA List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-03 18:22 UTC by Chris Duryee
Modified: 2018-09-04 18:05 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-09-04 18:05:29 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Chris Duryee 2017-02-03 18:22:54 UTC
Description of problem:

The capsule health check page mentions "pulp node" as one of the capsule's features. This is no longer correct.

If you go to "infrastructure->capsules" you'll see this, and if you click one of the capsules and look at the info you'll see mention of "pulp node" in the overview and services pages.

I'm not sure what the correct name should be, maybe "pulp server" or just "pulp".

Version-Release number of selected component (if applicable): 6.2.7

Comment 3 Justin Sherrill 2017-02-17 21:49:45 UTC
The smart proxy features originally were 'pulp' and 'pulp_node' which helped katello differentiate between the 'internal smart proxy' and external capsules.

It might make some sense to use a single feature 'pulp', but add some configuration on the smart proxy to indicate its external vs internal and let katello/foreman fetch and store that information.

Comment 5 Bryan Kearney 2018-09-04 18:05:29 UTC
Thank you for your interest in Satellite 6. We have evaluated this request, and we do not expect this to be implemented in the product in the foreseeable future. We are therefore closing this out as WONTFIX. If you have any concerns about this, please feel free to contact Rich Jerrido or Bryan Kearney. Thank you.


Note You need to log in before you can comment on or make changes to this bug.